#!/usr/bin/perl -w -I/usr/sausalito/perl

use strict;
use TelnetAccess;

if ($#ARGV < 0)
{
  printState();
}
elsif ($ARGV[0] eq "-h" || $ARGV[0] eq "--help" || $#ARGV > 0)
{
  printHelp();
}
else
{
  my $msg = TelnetAccess::changeAccess($ARGV[0]);
  printHelp() if ($msg eq "");
  printState();
}

sub printHelp
{
  print STDERR<<EOF;
Usage : $0 [<none | root | reg>]
 No arguments : show current state
 -h or --help : show usage info
 none         : Don't allow telnet for anyone.
 root         : Allow telnet for only root.
 reg          : Allow telnet to all registered users.
EOF
  exit 0;
}

sub printState
{
  if (TelnetAccess::get_telnet_server_on())
  {
    print "Service is allowed.\n";
    print "Access is restricted to the root user.\n"
      if (!TelnetAccess::get_telnet_server_open());
  }
  else
  {
    print "Service is disallowed.\n";
  }
}
